Subject: Re: Where can I get Cygwin 20.1b?
From: Phil Edwards <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 16 Jun 2000 09:50:48 -0400

Carl Thompson <[email-masked]>:
> Michael Nelson wrote:
> > 
> > I just double checked all of this, and it seems GCC is a bit more
> > tricky. If you have 0 symbols marked with dllexport all public symbols
> > get exported. If you have >0 symbols marked with dllexport, only they
> > get exported.
> > 
> > I think this is where the mixup is.
> > 
> > What I miss on UNIX is the latter feature, the ability it to only
> > export exactly these symbols.
>
> OK, I will grudgingly concede that Windows might be better in that one
> little respect, then... ;-)

I won't.  :-)  This feature is available on "Unix" but it isn't standardized.
It depends heavily (AFAICT) on the platform and the linker.

Luck++;
Phil

--
Want to unsubscribe from this list?
Send a message to [email-masked]